package aexp.customadapter;

import android.content.Context;
import android.graphics.Color;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import java.util.List;

class WeatherAdapterView extends LinearLayout {        
        public WeatherAdapterView(Context context, 
								Weather weather ) {
            super( context );

            this.setOrientation(HORIZONTAL);        
            LinearLayout.LayoutParams cityParams = 
                new LinearLayout.LayoutParams(100, LayoutParams.WRAP_CONTENT);
            cityParams.setMargins(1, 1, 1, 1);
 
            TextView cityControl = new TextView( context );
			cityControl.setText( weather.getCity() );
            cityControl.setTextSize(14f);
            cityControl.setTextColor(Color.WHITE);
            addView( cityControl, cityParams);       

            LinearLayout.LayoutParams temperatureParams = 
                new LinearLayout.LayoutParams(20, LayoutParams.WRAP_CONTENT);
            temperatureParams.setMargins(1, 1, 1, 1);

            TextView temperatureControl = new TextView(context);
            temperatureControl.setText( Integer.toString( weather.temperature ) );
            temperatureControl.setTextSize( 14f );
            temperatureControl.setTextColor(Color.WHITE);
            addView( temperatureControl, temperatureParams);            

            LinearLayout.LayoutParams skyParams = 
                new LinearLayout.LayoutParams(25, LayoutParams.WRAP_CONTENT);

			ImageView skyControl = new ImageView( context );
			skyControl.setImageResource( weather.getSkyResource() );
			addView( skyControl, skyParams );
        }
}

public class WeatherAdapter extends BaseAdapter {

    private Context context;
    private List<Weather> weatherList;

    public WeatherAdapter(Context context, List<Weather> weatherList ) { 
        this.context = context;
        this.weatherList = weatherList;
    }

    public int getCount() {                        
        return weatherList.size();
    }

    public Object getItem(int position) {     
        return weatherList.get(position);
    }

    public long getItemId(int position) {  
        return position;
    }

    public View getView(int position, View convertView, ViewGroup parent) { 
        Weather weather = weatherList.get(position);
        return new WeatherAdapterView(this.context, weather );
    }

}
